/**
   A simple invoice formatter.
*/
public class SimpleFormatter implements InvoiceFormatter
{
   public String formatHeader()
   {
      total = 0;
      return "     I N V O I C E\n\n\n";
   }

   public String formatLineItem(LineItem item)
   {
      total += item.getPrice();
      return item.toString() + ": $" 
         + item.getPrice() + "\n";
   }

   public String formatFooter()
   {
      return "\n\nTOTAL DUE: $" + total + "\n";
   }
   
   private double total;
}

